Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.spi
Interface PersistenceUnitInfo

    public interface PersistenceUnitInfo

Interface implemented by the container and used by the persistence provider when creating an `EntityManagerFactory`.

Since:
  Java Persistence 1.0

Method Summary
`void` | `addTransformer(ClassTransformer transformer)` Add a transformer supplied by the provider that will be called for every new class definition or class redefinition that gets loaded by the loader returned by the `getClassLoader()` method.
`boolean` | `excludeUnlistedClasses()` Returns whether classes in the root of the persistence unit that have not been explicitly listed are to be included in the set of managed classes.
`ClassLoader` | `getClassLoader()` Returns ClassLoader that the provider may use to load any classes, resources, or open URLs.
`List<URL>` | `getJarFileUrls()` Returns a list of URLs for the jar files or exploded jar file directories that the persistence provider must examine for managed classes of the persistence unit.
`DataSource` | `getJtaDataSource()` Returns the JTA-enabled data source to be used by the persistence provider.
`List<String>` | `getManagedClassNames()` Returns the list of the names of the classes that the persistence provider must add it to its set of managed classes.
`List<String>` | `getMappingFileNames()` Returns the list of mapping file names that the persistence provider must load to determine the mappings for the entity classes.
`ClassLoader` | `getNewTempClassLoader()` Return a new instance of a ClassLoader that the provider may use to temporarily load any classes, resources, or open URLs.
`DataSource` | `getNonJtaDataSource()` Returns the non-JTA-enabled data source to be used by the persistence provider for accessing data outside a JTA transaction.
`String` | `getPersistenceProviderClassName()` Returns the fully qualified name of the persistence provider implementation class.
`String` | `getPersistenceUnitName()` Returns the name of the persistence unit.
`URL` | `getPersistenceUnitRootUrl()` Returns the URL for the jar file or directory that is the root of the persistence unit.
`Properties` | `getProperties()` Returns properties object.
`PersistenceUnitTransactionType` | `getTransactionType()` Returns the transaction type of the entity managers created by the EntityManagerFactory.

Method Detail

### getPersistenceUnitName

    String getPersistenceUnitName()

  Returns the name of the persistence unit. Corresponds to the name attribute in the persistence.xml file.

  Returns:
    The name of the persistence unit. Corresponds to the name attribute in the persistence.xml file.

### getPersistenceProviderClassName

    String getPersistenceProviderClassName()

  Returns the fully qualified name of the persistence provider implementation class. Corresponds to the <provider> element in the persistence.xml file.

  Returns:
    The fully qualified name of the persistence provider implementation class. Corresponds to the <provider> element in the persistence.xml file.

### getTransactionType

    PersistenceUnitTransactionType getTransactionType()

  Returns the transaction type of the entity managers created by the EntityManagerFactory. The transaction type corresponds to the transaction-type attribute in the persistence.xml file.

  Returns:
    The transaction type of the entity managers created by the EntityManagerFactory. The transaction type corresponds to the transaction-type attribute in the persistence.xml file.

### getJtaDataSource

    DataSource getJtaDataSource()

  Returns the JTA-enabled data source to be used by the persistence provider. The data source corresponds to the <jta-data-source> element in the persistence.xml file or is provided at deployment or by the container.

  Returns:
    the JTA-enabled data source to be used by the persistence provider. The data source corresponds to the <jta-data-source> element in the persistence.xml file or is provided at deployment or by the container.

### getNonJtaDataSource

    DataSource getNonJtaDataSource()

  Returns the non-JTA-enabled data source to be used by the persistence provider for accessing data outside a JTA transaction. The data source corresponds to the named <non-jta-data-source> element in the persistence.xml file or provided at deployment or by the container.

  Returns:
    The non-JTA-enabled data source to be used by the persistence provider for accessing data outside a JTA transaction. The data source corresponds to the named <non-jta-data-source> element in the persistence.xml file or provided at deployment or by the container.

### getMappingFileNames

    List<String> getMappingFileNames()

  Returns the list of mapping file names that the persistence provider must load to determine the mappings for the entity classes. The mapping files must be in the standard XML mapping format, be uniquely named and be resource-loadable from the application classpath. This list will not include the orm.xml file if one was specified. Each mapping file name corresponds to a <mapping-file> element in the persistence.xml file.

  Returns:
    The list of mapping file names that the persistence provider must load to determine the mappings for the entity classes. The mapping files must be in the standard XML mapping format, be uniquely named and be resource-loadable from the application classpath. This list will not include the orm.xml file if one was specified. Each mapping file name corresponds to a <mapping-file> element in the persistence.xml file.

### getJarFileUrls

    List<URL> getJarFileUrls()

  Returns a list of URLs for the jar files or exploded jar file directories that the persistence provider must examine for managed classes of the persistence unit. Each URL corresponds to a named element in the persistence.xml file. A URL will either be a file: URL referring to a jar file or referring to a directory that contains an exploded jar file, or some other URL from which an InputStream in jar format can be obtained.

  Returns:
    a list of URL objects referring to jar files or directories.

### getPersistenceUnitRootUrl

    URL getPersistenceUnitRootUrl()

  Returns the URL for the jar file or directory that is the root of the persistence unit. (If the persistence unit is rooted in the WEB-INF/classes directory, this will be the URL of that directory.) The URL will either be a file: URL referring to a jar file or referring to a directory that contains an exploded jar file, or some other URL from which an InputStream in jar format can be obtained.

  Returns:
    a URL referring to a jar file or directory.

### getManagedClassNames

    List<String> getManagedClassNames()

  Returns the list of the names of the classes that the persistence provider must add it to its set of managed classes. Each name corresponds to a named <class> element in the persistence.xml file.

  Returns:
    The list of the names of the classes that the persistence provider must add it to its set of managed classes. Each name corresponds to a named <class> element in the persistence.xml file.

### excludeUnlistedClasses

    boolean excludeUnlistedClasses()

  Returns whether classes in the root of the persistence unit that have not been explicitly listed are to be included in the set of managed classes. This value corresponds to the <exclude-unlisted-classes> element in the persistence.xml file.

  Returns:
    Whether classes in the root of the persistence unit that have not been explicitly listed are to be included in the set of managed classes. This value corresponds to the <exclude-unlisted-classes> element in the persistence.xml file.

### getProperties

    Properties getProperties()

  Returns properties object. Each property corresponds to a <property> element in the persistence.xml file

  Returns:
    Properties object. Each property corresponds to a <property> element in the persistence.xml file

### getClassLoader

    ClassLoader getClassLoader()

  Returns ClassLoader that the provider may use to load any classes, resources, or open URLs.

  Returns:
    ClassLoader that the provider may use to load any classes, resources, or open URLs.

### addTransformer

    void addTransformer(ClassTransformer transformer)

  Add a transformer supplied by the provider that will be called for every new class definition or class redefinition that gets loaded by the loader returned by the `getClassLoader()` method. The transformer has no effect on the result returned by the `getNewTempClassLoader()` method. Classes are only transformed once within the same classloading scope, regardless of how many persistence units they may be a part of.

  Parameters:
    `transformer` - A provider-supplied transformer that the Container invokes at class-(re)definition time

### getNewTempClassLoader

    ClassLoader getNewTempClassLoader()

  Return a new instance of a ClassLoader that the provider may use to temporarily load any classes, resources, or open URLs. The scope and classpath of this loader is exactly the same as that of the loader returned by `getClassLoader()`. None of the classes loaded by this class loader will be visible to application components. The provider may only use this ClassLoader within the scope of the `PersistenceProvider.createContainerEntityManagerFactory(javax.persistence.spi.PersistenceUnitInfo, java.util.Map)` call.

  Returns:
    Temporary ClassLoader with same visibility as current loader

Overview | Package | Class | Tree | Deprecated | Index | Help
| Java EE 5 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2006 Sun Microsystems, Inc. All rights reserved.